PHP 5 und Mysql 5 aber in PHP 5 wir Myslq 4 angezeigt

MySQL, PostgreSQL, SQLite
freexer
Posts: 8
Joined: 2006-03-23 19:02

PHP 5 und Mysql 5 aber in PHP 5 wir Myslq 4 angezeigt

Post by freexer » 2006-09-15 04:19

Hi leutz ich habe mit von

deb http://packages.dotdeb.org stable all

Mysql 5 und PHP 5 installiert (natürlich php4 und mysql 4 runter gehaun).

Nur es wird in PHP5

mysql
MySQL Support enabled
Active Persistent Links 0
Active Links 0
Client API version 4.1.15
MYSQL_MODULE_TYPE external
MYSQL_SOCKET /var/run/mysqld/mysqld.sock
MYSQL_INCLUDE -I/usr/include/mysql
MYSQL_LIBS -L/usr/lib -lmysqlclient

Mysql 4 angzeigt und wenn ich mysql version eingeb in da console kommt mysql 5


ich habe debian sarge kann mir jemand helfen !

Wie kann ich mysql externen zugriff erlauben !?

blnsnoopy26
Posts: 660
Joined: 2002-10-19 14:01

Re: PHP 5 und Mysql 5 aber in PHP 5 wir Myslq 4 angezeigt

Post by blnsnoopy26 » 2006-09-15 07:39

php selber kompilieren und gegen die neuen bibiliotheken linken lassen, dann wird es auch richtig angezeigt.

Roger Wilco
Administrator
Administrator
Posts: 5924
Joined: 2004-05-23 12:53

Re: PHP 5 und Mysql 5 aber in PHP 5 wir Myslq 4 angezeigt

Post by Roger Wilco » 2006-09-15 17:59

Freexer wrote:Wie kann ich mysql externen zugriff erlauben !?
mysqld an ein externes Interface (oder 0.0.0.0) binden und dem betreffenden Benutzer die notwendigen Rechte geben.